summaryrefslogtreecommitdiffstats
path: root/package/mac80211
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2012-03-27 13:52:39 +0000
committerFelix Fietkau <nbd@openwrt.org>2012-03-27 13:52:39 +0000
commit877c407ade3cc0cb7cf249bfd690fe133f8e67c0 (patch)
tree32d183a566be1092d1bc60c9522fc376a4210a44 /package/mac80211
parentd5833ff3f3a748769595bb2624c32afaeb88a5ba (diff)
downloadmaster-31e0f0ae-877c407ade3cc0cb7cf249bfd690fe133f8e67c0.tar.gz
master-31e0f0ae-877c407ade3cc0cb7cf249bfd690fe133f8e67c0.tar.bz2
master-31e0f0ae-877c407ade3cc0cb7cf249bfd690fe133f8e67c0.zip
mac80211: add hostapd socket option to wpa_supplicant for IBSS RSN as well
SVN-Revision: 31088
Diffstat (limited to 'package/mac80211')
-rw-r--r--package/mac80211/files/lib/wifi/mac80211.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index e946a685ac..e4dda48eb3 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -449,7 +449,7 @@ enable_mac80211() {
local keyspec=""
[ "$encryption" == "psk" -o "$encryption" == "psk2" ] && {
if eval "type wpa_supplicant_setup_vif" 2>/dev/null >/dev/null; then
- wpa_supplicant_setup_vif "$vif" nl80211 "" $freq || {
+ wpa_supplicant_setup_vif "$vif" nl80211 "${hostapd_ctrl:+-H $hostapd_ctrl}" $freq || {
echo "enable_mac80211($device): Failed to set up wpa_supplicant for interface $ifname" >&2
# make sure this wifi interface won't accidentally stay open without encryption
ifconfig "$ifname" down